Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search
Class AssertingIndexSearcher

    java.lang.Object
      org.apache.lucene.search.IndexSearcher
          org.apache.lucene.search.AssertingIndexSearcher

    public class AssertingIndexSearcher

extends IndexSearcher

Helper class that adds some extra checks to ensure correct usage of `IndexSearcher` and `Weight`.

Nested Class Summary
`static class` | `AssertingIndexSearcher.AssertingScorer` Wraps a Scorer with additional checks

Nested classes/interfaces inherited from class org.apache.lucene.search.IndexSearcher
`IndexSearcher.LeafSlice`

Field Summary

Fields inherited from class org.apache.lucene.search.IndexSearcher
`leafContexts, leafSlices, readerContext`

Constructor Summary
`AssertingIndexSearcher(Random random, IndexReader r)`
`AssertingIndexSearcher(Random random, IndexReaderContext context)`
`AssertingIndexSearcher(Random random, IndexReaderContext context, ExecutorService ex)`
`AssertingIndexSearcher(Random random, IndexReader r, ExecutorService ex)`

Method Summary
`Weight` | `createNormalizedWeight(Query query)` Ensures, that the returned `Weight` is not normalized again, which may produce wrong scores.
`Query` | `rewrite(Query original)`
`protected void` | `search(List<AtomicReaderContext> leaves, Weight weight, Collector collector)`
`protected Query` | `wrapFilter(Query query, Filter filter)`

Methods inherited from class org.apache.lucene.search.IndexSearcher
`collectionStatistics, doc, doc, doc, document, explain, explain, getDefaultSimilarity, getIndexReader, getSimilarity, getTopReaderContext, search, search, search, search, search, search, search, search, search, search, search, search, searchAfter, searchAfter, searchAfter, searchAfter, searchAfter, setSimilarity, slices, termStatistics, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AssertingIndexSearcher

    public AssertingIndexSearcher(Random random,
                                  IndexReader r)

### AssertingIndexSearcher

    public AssertingIndexSearcher(Random random,
                                  IndexReaderContext context)

### AssertingIndexSearcher

    public AssertingIndexSearcher(Random random,
                                  IndexReader r,
                                  ExecutorService ex)

### AssertingIndexSearcher

    public AssertingIndexSearcher(Random random,
                                  IndexReaderContext context,
                                  ExecutorService ex)

Method Detail

### createNormalizedWeight

    public Weight createNormalizedWeight(Query query)
                                  throws IOException

  Ensures, that the returned `Weight` is not normalized again, which may produce wrong scores.

  Overrides:
    `createNormalizedWeight` in class `IndexSearcher`
  Throws:
    `IOException`

### rewrite

    public Query rewrite(Query original)
                  throws IOException

  Overrides:
    `rewrite` in class `IndexSearcher`
  Throws:
    `IOException`

### wrapFilter

    protected Query wrapFilter(Query query,
                               Filter filter)

  Overrides:
    `wrapFilter` in class `IndexSearcher`

### search

    protected void search(List<AtomicReaderContext> leaves,
                          Weight weight,
                          Collector collector)
                   throws IOException

  Overrides:
    `search` in class `IndexSearcher`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.